Bug 118420 - RFE: connect to time servers fail after the internet link reconnected and got a new ip address
Summary: RFE: connect to time servers fail after the internet link reconnected and got...
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: ntp   
(Show other bugs)
Version: 1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-16 16:47 UTC by feily
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-01 09:31:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description feily 2004-03-16 16:47:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
If the internet connection reconnects and gets a new ip address the 
next connect to the time servers fail.
/var/log/messages sais:
send to xxx.xxx.xxx.xxx: invalid argument

restarting ntpd is the only way to fix this problem

Version-Release number of selected component (if applicable):
ntp-4.1.2-5

How reproducible:
Always

Steps to Reproduce:
1. use ntpd on an internet connection with dynamic ip
2. kill and reconnect the internet connection

Actual Results:  ntpd stays alive but doesn't work as expected anymore

Expected Results:  ntpd should recognise the new internet connection 
correctly and not stop to syncronise with the time servers

Additional info:

Comment 1 Harald Hoyer 2004-06-01 09:31:02 UTC
please file that RFE on the ntp bugzilla:
http://bugzilla.ntp.org/

Comment 2 Brad Knowles 2005-02-09 10:09:10 UTC
Already present on the NTP bugzilla.  See <http://bugzilla.ntp.org/show_bug.cgi?id=51>.


Note You need to log in before you can comment on or make changes to this bug.